NewStart CGSL CORE 5.04 / MAIN 5.04 : samba 漏洞 (NS-SA-2021-0114)

medium Nessus 插件 ID 154613

语言:

简介

远程 NewStart CGSL 主机受到一个漏洞影响。

描述

运行 CORE 5.04 / MAIN 5.04 版本的远程 NewStart CGSL 主机上安装的 samba 程序包受到一个漏洞影响:

- 在 samba 中发现一个缺陷。Samba smbd 文件服务器必须将 Windows 群组标识 (SID) 映射到 unix 群组 ID (gids)。执行此任务的代码有一个缺陷,在将负缓存条目添加到映射缓存时,该缺陷允许应用程序读取超出数组末尾的数据。这可造成调用代码将这些值返回至为用户存储组成员身份的进程标记中。此漏洞最主要的威胁对象是数据机密性和完整性。
(CVE-2021-20254)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级易受攻击的 CGSL samba 程序包。请注意,更新后的程序包尚未发布。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2021-0114

http://security.gd-linux.com/info/CVE-2021-20254

插件详情

严重性: Medium

ID: 154613

文件名: newstart_cgsl_NS-SA-2021-0114_samba.nasl

版本: 1.3

类型: local

发布时间: 2021/10/28

最近更新时间: 2022/1/26

风险信息

VPR

风险因素: Medium

分数: 6

CVSS v2

风险因素: Medium

基本分数: 4.9

时间分数: 3.6

矢量: AV:N/AC:M/Au:S/C:P/I:P/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-20254

CVSS v3

风险因素: Medium

基本分数: 6.8

时间分数: 5.9

矢量: CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:N

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:zte:cgsl_core:ctdb, p-cpe:/a:zte:cgsl_core:ctdb-tests, p-cpe:/a:zte:cgsl_core:libsmbclient, p-cpe:/a:zte:cgsl_core:libsmbclient-devel, p-cpe:/a:zte:cgsl_core:libwbclient, p-cpe:/a:zte:cgsl_core:libwbclient-devel, p-cpe:/a:zte:cgsl_core:samba, p-cpe:/a:zte:cgsl_core:samba-client, p-cpe:/a:zte:cgsl_core:samba-client-libs, p-cpe:/a:zte:cgsl_core:samba-common, p-cpe:/a:zte:cgsl_core:samba-common-libs, p-cpe:/a:zte:cgsl_core:samba-common-tools, p-cpe:/a:zte:cgsl_core:samba-dc, p-cpe:/a:zte:cgsl_core:samba-dc-libs, p-cpe:/a:zte:cgsl_core:samba-debuginfo, p-cpe:/a:zte:cgsl_core:samba-devel, p-cpe:/a:zte:cgsl_core:samba-krb5-printing, p-cpe:/a:zte:cgsl_core:samba-libs, p-cpe:/a:zte:cgsl_core:samba-pidl, p-cpe:/a:zte:cgsl_core:samba-python, p-cpe:/a:zte:cgsl_core:samba-python-test, p-cpe:/a:zte:cgsl_core:samba-test, p-cpe:/a:zte:cgsl_core:samba-test-libs, p-cpe:/a:zte:cgsl_core:samba-vfs-glusterfs, p-cpe:/a:zte:cgsl_core:samba-winbind, p-cpe:/a:zte:cgsl_core:samba-winbind-clients, p-cpe:/a:zte:cgsl_core:samba-winbind-krb5-locator, p-cpe:/a:zte:cgsl_core:samba-winbind-modules, p-cpe:/a:zte:cgsl_main:ctdb, p-cpe:/a:zte:cgsl_main:ctdb-tests, p-cpe:/a:zte:cgsl_main:libsmbclient, p-cpe:/a:zte:cgsl_main:libsmbclient-devel, p-cpe:/a:zte:cgsl_main:libwbclient, p-cpe:/a:zte:cgsl_main:libwbclient-devel, p-cpe:/a:zte:cgsl_main:samba, p-cpe:/a:zte:cgsl_main:samba-client, p-cpe:/a:zte:cgsl_main:samba-client-libs, p-cpe:/a:zte:cgsl_main:samba-common, p-cpe:/a:zte:cgsl_main:samba-common-libs, p-cpe:/a:zte:cgsl_main:samba-common-tools, p-cpe:/a:zte:cgsl_main:samba-dc, p-cpe:/a:zte:cgsl_main:samba-dc-libs, p-cpe:/a:zte:cgsl_main:samba-debuginfo, p-cpe:/a:zte:cgsl_main:samba-devel, p-cpe:/a:zte:cgsl_main:samba-krb5-printing, p-cpe:/a:zte:cgsl_main:samba-libs, p-cpe:/a:zte:cgsl_main:samba-pidl, p-cpe:/a:zte:cgsl_main:samba-python, p-cpe:/a:zte:cgsl_main:samba-python-test, p-cpe:/a:zte:cgsl_main:samba-test, p-cpe:/a:zte:cgsl_main:samba-test-libs, p-cpe:/a:zte:cgsl_main:samba-vfs-glusterfs, p-cpe:/a:zte:cgsl_main:samba-winbind, p-cpe:/a:zte:cgsl_main:samba-winbind-clients, p-cpe:/a:zte:cgsl_main:samba-winbind-krb5-locator, p-cpe:/a:zte:cgsl_main:samba-winbind-modules, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2021/9/24

漏洞发布日期: 2021/4/29

参考资料信息

CVE: CVE-2021-20254

IAVA: 2021-A-0208-S